# Uses of Class
org.springframework.jdbc.core.namedparam.ParsedSql

Packages that use ParsedSql
Package
Description
org.springframework.jdbc.core.namedparam
JdbcTemplate variant with named parameter support.
org.springframework.jdbc.object
The classes in this package represent RDBMS queries, updates, and stored procedures as threadsafe, reusable objects.

## Uses of ParsedSql in org.springframework.jdbc.core.namedparam

Methods in org.springframework.jdbc.core.namedparam that return ParsedSql
Modifier and Type
Method
Description
`protected ParsedSql`
NamedParameterJdbcTemplate.`getParsedSql(String sql)`
Obtain a parsed representation of the given SQL statement.
`static ParsedSql`
NamedParameterUtils.`parseSqlStatement(String sql)`
Parse the SQL statement and locate any placeholders or named parameters.
Methods in org.springframework.jdbc.core.namedparam with parameters of type ParsedSql
Modifier and Type
Method
Description
`static List<SqlParameter>`
NamedParameterUtils.`buildSqlParameterList(ParsedSql parsedSql, SqlParameterSource paramSource)`
Convert parameter declarations from an SqlParameterSource to a corresponding List of SqlParameters.
`static int[]`
NamedParameterUtils.`buildSqlTypeArray(ParsedSql parsedSql, SqlParameterSource paramSource)`
Convert parameter types from an SqlParameterSource into a corresponding int array.
`static Object[]`
NamedParameterUtils.`buildValueArray(ParsedSql parsedSql, SqlParameterSource paramSource, List<SqlParameter> declaredParams)`
Convert a Map of named parameter values to a corresponding array.
`protected PreparedStatementCreatorFactory`
NamedParameterJdbcTemplate.`getPreparedStatementCreatorFactory(ParsedSql parsedSql, SqlParameterSource paramSource)`
Build a `PreparedStatementCreatorFactory` based on the given SQL and named parameters.
`static String`
NamedParameterUtils.`substituteNamedParameters(ParsedSql parsedSql, SqlParameterSource paramSource)`
Parse the SQL statement and locate any placeholders or named parameters.

## Uses of ParsedSql in org.springframework.jdbc.object

Methods in org.springframework.jdbc.object that return ParsedSql
Modifier and Type
Method
Description
`protected ParsedSql`
SqlOperation.`getParsedSql()`
Obtain a parsed representation of this operation's SQL statement.